import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import {ModuleDashboardComponent} from './module/module-dashboard/module-dashboard.component';
import {ModuleUserComponent} from './module/module-user/module-user.component';
import {ModuleSettingComponent} from './module/module-setting/module-setting.component';
import {ModuleReportComponent} from './module/module-report/module-report.component';

const router:Routes = [
  {path:"",redirectTo:"dashboard",pathMatch:"full"},
  {path:"dashboard",component:ModuleDashboardComponent},
  {path:"user",component:ModuleUserComponent},
  {path:"setting",component:ModuleSettingComponent},
  {path:"report",component:ModuleReportComponent}
]


@NgModule({
  
  imports: [
    RouterModule.forRoot(router)
  ],
  exports: [RouterModule]
})

export class AppRoutingModule { }
