import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppComponent } from './app.component';
import { HeaderComponent } from './layout/header/header.component';
import { SideBarComponent } from './layout/side-bar/side-bar.component';
import { MainComponent } from './layout/main/main.component';
import { FooterComponent } from './layout/footer/footer.component';
import { ModuleDashboardComponent } from './module/module-dashboard/module-dashboard.component';
import { ModuleUserComponent } from './module/module-user/module-user.component';
import { ModuleSettingComponent } from './module/module-setting/module-setting.component';
import { ModuleReportComponent } from './module/module-report/module-report.component';
import { AppRoutingModule } from './app-routing.module';

@NgModule({
  declarations: [
    AppComponent,
    HeaderComponent,
    SideBarComponent,
    MainComponent,
    FooterComponent,
    ModuleDashboardComponent,
    ModuleUserComponent,
    ModuleSettingComponent,
    ModuleReportComponent
  ],
  imports: [
    BrowserModule,
    AppRoutingModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
